﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServicesFWApiSample
{
    class Program
    {
        static void Main(string[] args)
        {
            AddNewCMSContent(); // This method will add one new piece of content for a test.
        }

        public static void AddNewCMSContent()
        {
            Ektron.Cms.Framework.Services.User.UserServiceClient userClientManager = new Ektron.Cms.Framework.Services.User.UserServiceClient();
            try
            {
                //We will need an authentication token generated against a trusted user account.
                string authToken = userClientManager.Authenticate("admin", "Admin001");
                //Any API call will be passed the auth token so that the API trusts the call bein made.
                Ektron.Cms.Framework.Services.Content.ContentServiceClient contentClientManager = new Ektron.Cms.Framework.Services.Content.ContentServiceClient(authToken);
                
                //Fill in the appropriate data for the new content to add.
                Ektron.Cms.ContentData newContent = new Ektron.Cms.ContentData();
                newContent.Title = "New Content Title";
                newContent.FolderId = 0;
                newContent.Html = "This is New Content HTML";

                contentClientManager.Add(newContent); // This will add the content to the system.
            }
            catch (Exception)
            {
             
            }
        }


    }
}
